Subject: Bad symlinks to debootstrap scripts for suites stable/testing/unstable

From: Cray XMP <[email-masked]>
Date: Mon, 10 Jul 2017 00:12:56 +0200

Package: debootstrap
Version: 1.0.86+devuan1.0

A "Release signed by unknown key" error occurs when the string
stable (|testing|unstable) is used as SUITE argument for
debootstrap. There is no error when using (jessie|ascii|ceres) respectively.

Here is a transcript:
debootstrap stable /path/to/target $mirror
/.../
E: Release signed by unknown key (key id 94532124541922FB)

instead of
debootstrap jessie /path/to/target $mirror
/.../
I: Valid Release signature (key id 72E3CB773315DFA2E464743D94532124541922FB)

I suggest fixing the following symlinks in /usr/share/debootstrap/scripts
stable -> ceres
testing -> ceres
unstable -> ceres
since the sid script check packages against devuan-archive-keyring and ceres
against devuan-archive-keyring.

I am using Devuan GNU/Linux 1.0, kernel 3.16.43-2
and libc6 2.19-18.